package com.fjhx.email.entity.dto;

import lombok.Getter;
import lombok.Setter;

import java.util.Date;

@Getter
@Setter
public class MailInfo {
    private Long id;

    /**
     * 邮件uid
     */
    private Long uid;

    /**
     * 邮件标题
     */
    private String subject;

    /**
     * 发送邮件
     */
    private String fromEmail;

    /**
     * 发件人名称
     */
    private String fromPersonalName;

    /**
     * 邮件发送时间
     */
    private Date sendDate;

    /**
     * 服务器接收时间
     */
    private Date receivedDate;

    /**
     * 标签
     */
    private String flags;

    /**
     * 收件人列表
     */
    private String recipients;

    /**
     * 是否有附件
     */
    private Integer isAttachments;

    /**
     * 同步状态 1已同步 0未同步
     */
    private Integer syncStatus;

}
