package com.fjhx.email.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.fjhx.email.entity.dto.MailboxInfo;
import com.fjhx.email.entity.vo.MessageVo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface MailMapper {

    List<MailboxInfo> getMailboxInfoListByUserId(@Param("userIdList") List<Long> userIdList, @Param("mailType") Integer mailType);

    List<MessageVo>getUnreadMessageCount(@Param("ew")QueryWrapper<Object> ew);

}
