package com.fjhx.email.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.email.entity.EnterpriseMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 企业邮件 Mapper 接口
 * </p>
 *
 * @author zlj
 * @since 2023-04-06
 */
@Mapper
public interface EnterpriseMessageMapper extends BaseMapper<EnterpriseMessage> {

    Page<EnterpriseMessage> getPage(@Param("page") Page<EnterpriseMessage> page, @Param("ew") QueryWrapper<EnterpriseMessage> wrapper);

}
