package com.fjhx.email.mapper;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.email.entity.PersonalMessage;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

/**
 * <p>
 * 个人邮箱 Mapper 接口
 * </p>
 *
 * @author zlj
 * @since 2023-04-06
 */
@Mapper
public interface PersonalMessageMapper extends BaseMapper<PersonalMessage> {

    Page<PersonalMessage> getPage(@Param("page") Page<PersonalMessage> page, @Param("ew") QueryWrapper<PersonalMessage> wrapper);


}
